- Cal3D 0.11 API Reference -

Public Types | Public Member Functions | Protected Member Functions | List of all members
CalAnimation Class Reference
Inheritance diagram for CalAnimation:

## Public Types

enum | Type { TYPE_NONE = 0 , TYPE_CYCLE , TYPE_POSE , TYPE_ACTION }
enum | State { STATE_NONE = 0 , STATE_SYNC , STATE_ASYNC , STATE_IN , STATE_STEADY , STATE_OUT , STATE_STOPPED }

## Public Member Functions

CalCoreAnimation * | getCoreAnimation ()
| Provides access to the core animation.
State | getState ()
| Returns the state.
float | getTime ()
| Returns the time.
Type | getType ()
| Returns the type.
float | getWeight ()
| Returns the weight.
void | setTime (float time)
| Set the time.
void | setTimeFactor (float timeFactor)
| Set the time factor.
float | getTimeFactor ()
| Get the time factor.
void | checkCallbacks (float animationTime, CalModel *model)
void | completeCallbacks (CalModel *model)

## Protected Member Functions

| CalAnimation (CalCoreAnimation *pCoreAnimation)
void | setType (Type type)
void | setState (State state)
void | setWeight (float weight)

## Member Function Documentation

## ◆ getCoreAnimation()

CalCoreAnimation * CalAnimation::getCoreAnimation | ( |  | ) |

Provides access to the core animation.

This function returns the core animation on which this animation instance is based on.

Returns
  One of the following values:
  - a pointer to the core animation
  - 0 if an error happend

## ◆ getState()

CalAnimation::State CalAnimation::getState | ( |  | ) |

Returns the state.

This function returns the state of the animation instance.

Returns
  One of the following states:
  - STATE_NONE
  - STATE_SYNC
  - STATE_ASYNC
  - STATE_IN
  - STATE_STEADY
  - STATE_OUT

## ◆ getTime()

float CalAnimation::getTime | ( |  | ) |

Returns the time.

This function returns the time of the animation instance.

Returns
  The time in seconds.

## ◆ getTimeFactor()

float CalAnimation::getTimeFactor | ( |  | ) |

Get the time factor.

This function return the time factor of the animation instance.

## ◆ getType()

CalAnimation::Type CalAnimation::getType | ( |  | ) |

Returns the type.

This function returns the type of the animation instance.

Returns
  One of the following types:
  - TYPE_NONE
  - TYPE_CYCLE
  - TYPE_POSE
  - TYPE_ACTION

## ◆ getWeight()

float CalAnimation::getWeight | ( |  | ) |

Returns the weight.

This function returns the weight of the animation instance.

Returns
  The weight.

## ◆ setTime()

void CalAnimation::setTime | ( | float | time | ) |

Set the time.

This function set the time of the animation instance.

## ◆ setTimeFactor()

void CalAnimation::setTimeFactor | ( | float | timeFactor | ) |

Set the time factor.

This function sets the time factor of the animation instance. this time factor affect only sync animation

The documentation for this class was generated from the following files:

- animation.h
- animation.cpp

Generated by The Cal3D Team with Doxygen 1.15.0